%global use_x11_tests 1

Name:           perl-Gtk3
Version:        0.019
Release:        1%{?dist}
Summary:        Perl interface to the 3.x series of the GTK+ toolkit
License:        LGPLv2+
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Gtk3/
Source0:        http://search.cpan.org/CPAN/authors/id/X/XA/XAOC/Gtk3-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  gtk3
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.30
# Run-time
BuildRequires:  perl(Carp)
BuildRequires:  perl(Cairo::GObject) >= 1.000
BuildRequires:  perl(Glib) >= 1.260
BuildRequires:  perl(Glib::Object::Introspection) >= 0.016
BuildRequires:  perl(Exporter)
BuildRequires:  perl(POSIX)
# Tests
BuildRequires:  perl(Glib::Object::Subclass)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(Test::More)
%if %{use_x11_tests}
# X11 tests:
BuildRequires:  xorg-x11-server-Xvfb
BuildRequires:  xorg-x11-xinit
BuildRequires:  font(:lang=en)
%endif
Requires:       gtk3
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(Cairo::GObject) >= 1.000
Requires:       perl(Glib) >= 1.260
Requires:       perl(Glib::Object::Introspection) >= 0.009

# Remove under-specified dependencies
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\((Cairo::GObject|Glib::Object::Introspection)\\)$

%description
The Gtk3 module allows a Perl developer to use the GTK+ graphical user
interface library. Find out more about GTK+ at <http://www.gtk.org/>.

%prep
%setup -q -n Gtk3-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
%{_fixperms} $RPM_BUILD_ROOT/*

%check
%if %{use_x11_tests}
    xvfb-run -a make test
%else
    make test
%endif

%files
%doc LICENSE NEWS README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Wed Dec 03 2014 Petr Pisar <ppisar@redhat.com> - 0.019-1
- 0.019 bump

* Mon Sep 01 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.017-3
- Perl 5.20 rebuild

* Tue Aug 12 2014 Petr Pisar <ppisar@redhat.com> - 0.017-2
- Run X11 tests using xvfb-run (bug #1129395)

* Wed Aug 06 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.017-1
- 0.017 bump

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.015-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Dec 10 2013 Daniel P. Berrange <berrange@redhat.com> - 0.015-1
- Update to 0.015 release (rhbz #1021207)

* Tue Oct  1 2013 Daniel P. Berrange <berrange@redhat.com> - 0.013-1
- Update to 0.013 release (rhbz #1003379)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.009-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Jul 23 2013 Petr Pisar <ppisar@redhat.com> - 0.009-2
- Perl 5.18 rebuild

* Fri Feb 15 2013 Daniel P. Berrange <berrange@redhat.com> - 0.009-1
- Update to 0.009 release (rhbz #829260)

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.008-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Dec 18 2012 Daniel P. Berrange <berrange@redhat.com> - 0.008-1
- Update to 0.008 release (rhbz #829260)

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.007-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jul  9 2012 Daniel P. Berrange <berrange@redhat.com> - 0.007-1
- Update to 0.007 release (rhbz #829260)

* Fri Jun 22 2012 Petr Pisar <ppisar@redhat.com> - 0.006-2
- Perl 5.16 rebuild

* Wed Jun 20 2012 Petr Pisar <ppisar@redhat.com> - 0.006-1
- 0.006 bump

* Thu Jun 14 2012 Petr Pisar <ppisar@redhat.com> - 0.005-2
- Perl 5.16 rebuild

* Mon Apr 23 2012 Daniel P. Berrange <berrange@redhat.com> - 0.005-1
- Update to 0.005 release

* Mon Mar 19 2012 Daniel P. Berrange <berrange@redhat.com> - 0.004-1
- Update to 0.004 release

* Wed Feb  8 2012 Daniel P. Berrange <berrange@redhat.com> - 0.003-2
- Add Cairo::GObject BR

* Mon Jan 30 2012 Daniel P. Berrange <berrange@redhat.com> - 0.003-1
- Update to 0.003 release (rhbz #785532)

* Thu Jan  5 2012 Daniel P. Berrange <berrange@redhat.com> - 0.002-2
- Use xvfb to run test suite
- Fix capitalization of GTK+
- Remove dist.ini & perl-Gtk3.doap
- Remove defattr from files section
- Add missing BuildRequires for test suite
- Add trailing / into URIs

* Thu Dec 15 2011 Daniel P. Berrange <berrange@redhat.com> - 0.002-1
- Update to 0.002 release

* Mon Nov 28 2011 Daniel P. Berrange <berrange@redhat.com> - 0.001-2
- Add Test::More BR
- Disable overrides.t test (rt #72773)
- Comment about running test without $DISPLAY available

* Fri Nov 04 2011 Daniel P Berrange <berrange@redhat.com> 0.001-1
- Specfile autogenerated by cpanspec 1.78.
